<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>19
        ) 
    ); 
 
$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
   
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_aboutimg1_section_lbl',
                'peccular_about_image',
                'peccular_aboutimgv_section_lbl',
                'peccular_about_vimage',
                'peccular_about_vimagelink',
                'peccular_about_headImg_display',
                'peccular_about_section_lbl1',
                'peccular_about_areas_lbl2',
                'peccular_about_area_lbl',
                'peccular_about_section_title1',
                'peccular_about_section_spantitle1',
                'peccular_about_subtitle',
                'peccular_about_text',
                'peccular_about_us_icon',
                'peccular_about_section_expnum',
                'peccular_about_section_expTitle',
                'peccular_about_section_listTitle',
                'peccular_about_pagelist2',
                'peccular_about_page_list',
                 'peccular_about_button_display',
                'peccular_about_btn_txt',
                'peccular_about_btnlink',
                'peccular_about_button_display2',
                'peccular_about_btn_txt2',
                'peccular_about_btnlink2'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',                               
                'peccular_about_sheading_color',
                'peccular_about_sheadingspan_color',
                'peccular_about_sheadingbrdr1_color',
                'peccular_about_subheading_color',
                'peccular_about_sdescriptionText_color',       
                'peccular_about_btntext_color',
                'peccular_about_btnborder_color',
                'peccular_about_btnHovertxt_color',
                'peccular_about_btnHoverBG_color',
                 'peccular_about_btn2text_color',
                'peccular_about_btn2texthover_color',
                'peccular_about_btn2border_color',
                'peccular_about_videoicon_color',
                'peccular_about_videoiconbg_color',
                'peccular_about_videoiconborder_color',
                'peccular_about_listTxtClr_color',
                'peccular_about_listicnclr_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_section_t_padding',
                'peccular_about_section_b_padding',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));

$wp_customize->add_setting('peccular_aboutimg1_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutimg1_section_lbl',
        array(
            'settings'      => 'peccular_aboutimg1_section_lbl',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Add [283 × 403 px] Image Size ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting( 'peccular_about_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
    'label' => __('First Image','peccular'),
   'section' => 'peccular_about_section',
)));


$wp_customize->add_setting('peccular_aboutimgv_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutimgv_section_lbl',
        array(
            'settings'      => 'peccular_aboutimgv_section_lbl',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Add [283 × 422 px] Video Image Size ', 'peccular Premium' ),
        )
    )
);



$wp_customize->add_setting( 'peccular_about_vimage', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_vimage', array(
    'label' => __('Second Image','peccular'),
   'section' => 'peccular_about_section',
)));


$wp_customize->add_setting('peccular_about_vimagelink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_about_vimagelink',
    array(
        'settings'      => 'peccular_about_vimagelink',
        'section'       => 'peccular_about_section',
        'type'          => 'url',
        'label'         => __( 'Add Second Image Link Here', 'peccular-premium' )
     )
);

$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'ABOUT US', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Making memories that youll cherish forever', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiumod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_text',
    array(
        'settings'      => 'peccular_about_text',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_about_pagelist2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
            <li>Lorem ipsum dolor sit amet</li>
            <li>cumsan lacus vel facilisis</li>
            <li>Lorem ipsum dolor sit amet</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist2',
    array(
        'settings'      => 'peccular_about_pagelist2',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Left Side Bullet Points', 'peccular-premium' )
    )
);



// to show & hide another button
$wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'peccular_about_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'LEARN MORE' )
    )
);
$wp_customize->add_control(
    'peccular_about_btn_txt',
    array(
        'settings'      => 'peccular_about_btn_txt',
        'section'       => 'peccular_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_about_btnlink',
    array(
        'settings'      => 'peccular_about_btnlink',
        'section'       => 'peccular_about_section',
        'type'          => 'url',
        'label'         => __( 'Button Link', 'peccular-premium' )
     )
);


// to show & hide link
$wp_customize->add_setting( 'peccular_about_button_display2' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display2', array( 'label' => 'Link Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display2', 'type' => 'radio', 'choices' => array( 'show' => 'Show Link', 'hide' => 'Hide Link', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'peccular_about_btn_txt2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'GET STARTED' )
    )
);
$wp_customize->add_control(
    'peccular_about_btn_txt2',
    array(
        'settings'      => 'peccular_about_btn_txt2',
        'section'       => 'peccular_about_section',
        'type'          => 'text',
        'label'         => __( 'Link Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_about_btnlink2',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_about_btnlink2',
    array(
        'settings'      => 'peccular_about_btnlink2',
        'section'       => 'peccular_about_section',
        'type'          => 'url',
        'label'         => __( 'Text Link', 'peccular-premium' )
     )
);





$wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

$wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));

 $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    
    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular'),
            'none' => __('None','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));

    $wp_customize->add_setting('peccular_about_section_t_padding',array(
        'default' => '8',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_section_b_padding',array(
        'default' => '7',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

addColorPalatOption($wp_customize, 'peccular_about_videoicon_color', 'peccular_about_section', 'Video Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_videoiconbg_color', 'peccular_about_section', 'Video Icon Bg Color', '');
addColorPalatOption($wp_customize, 'peccular_about_videoiconborder_color', 'peccular_about_section', 'Video Icon Border Color', '');

addColorPalatOption($wp_customize, 'peccular_about_sheading_color', 'peccular_about_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_subheading_color', 'peccular_about_section', 'Section Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_sdescriptionText_color', 'peccular_about_section', 'Section Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_listTxtClr_color', 'peccular_about_section', 'List Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listicnclr_color', 'peccular_about_section', 'List Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_about_btntext_color', 'peccular_about_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnborder_color', 'peccular_about_section', 'Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnHovertxt_color', 'peccular_about_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnHoverBG_color', 'peccular_about_section', 'Button Hover BG Color', '');

addColorPalatOption($wp_customize, 'peccular_about_btn2text_color', 'peccular_about_section', 'Link Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btn2texthover_color', 'peccular_about_section', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btn2border_color', 'peccular_about_section', 'Link Border Color', '');
?>