<?php 
/**
 * The template for displaying archive pages.
 *
 * Used for displaying archive-type pages. These views can be further customized by
 * creating a separate template for each one.
 *
 * - author.php (Author archive)
 * - category.php (Category archive)
 * - date.php (Date archive)
 * - tag.php (Tag archive)
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
?>
<?php get_header(); ?>
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2" 
   <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="height: 350px;
  "
  <?php endif ?> 

 <?php } ?>

    > 
             <div class="site-details">
              
                <div class="image-icon">
                  
    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
         <?php the_archive_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <!-- <?php //the_title( '<h1 class="ht-main-title">', '</h1>' ); ?> -->
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 


        <div class="innheadimg">

<?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

 <?php  if (!empty($image)) : ?>
     <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

  <?php endif ?> 

 <?php } ?>         
             
</div>

<!--   <//?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <//?php  if (!empty($image)) : ?>
  style="background: url('<//?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <//?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','330')) ?>px;
  "
  <//?php endif ?> 

 <//?php } ?>

  > -->
 <div class="peccular-innerpage-overlay"></div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>

<main id="innerpage-box">
	  <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
		<div class="inner_contentbox">
              <div class="row m-0">
            		<div id="blog-box" class="ht-blog-wrap innerpage-whitebox col-lg-8 col-md-8 col-sm-8 col-xs-12">
    					<div class="innerblogpost">
                            <div class="md-0">
                      				<?php if ( have_posts() ) :
                      					$peccular_lite_full_posts = get_theme_mod('peccular_lite_full_posts');
                      					while ( have_posts() ) : the_post();
                      						peccular_lite_archive_post();
                      					endwhile;
                      					peccular_lite_post_navigation();
                      				endif; ?>
                              <div class="clearfix"></div>
                            </div>
                            <div class="clearfix"></div>
    					</div>
            					
            		</div> <!-- col 9-->
            		<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 px-5">
            			<div id="secondary" class="widget-area">
            				<?php dynamic_sidebar('peccular-blog-sidebar'); ?>
            			</div>
            		</div>
                        <div class="clearfix"></div>
              </div>
	           <div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
        
        <div class="pagingation">
            <?php lzGetPagination($query);?>
        </div>
       <div class="clearfix"></div>
	</div>
</main>
<script>
            jQuery.noConflict();
            $(function(){
              function innerblogpostHeight(){
                var ht = 0;
                $('.archive .peccular-blog-single').each(function(i){
                  var tHt = $(this).height();
                  if(ht<tHt){
                    ht=tHt;
                  }
                });
                $('.archive .peccular-blog-single').height(ht+'px');
              }
              innerblogpostHeight();
            });
            $( window ).resize(function(){
              innerblogpostHeight();
            });
          </script>
<?php get_footer(); ?>